summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFeng Pan <fpan@redhat.com>2016-09-15 00:12:33 -0400
committerFeng Pan <fpan@redhat.com>2016-09-16 01:30:50 +0000
commit24d6290c92773121596051086b3d6269fef61084 (patch)
treecd6292bd0fe701f2e5ea8d42a66862e6e86ce96b
parent6626849fa31c2d99292a52599ef69fdf6be8f7d0 (diff)
Networking-vpp fixes
- Update TenantNIC and PublicNIC in numa.yaml - Use OVS rather than linux bridge for virtual deployment on jump host - Fix controller and compute IP arrays in T-H-T - Move networking-vpp repo for vlan rewrite patch JIRA: APEX-261 opnfv-tht-pr: 79 Change-Id: I4b3b6b09613e7c47869617e15aafec8e7b59d18f Signed-off-by: Feng Pan <fpan@redhat.com> (cherry picked from commit 37d2dc147574a6d5bdd5cae44e2ac02f8cac4d59)
-rw-r--r--build/Makefile2
-rw-r--r--ci/PR_revision.log1
-rwxr-xr-xlib/configure-deps-functions.sh8
-rwxr-xr-xlib/overcloud-deploy-functions.sh4
4 files changed, 11 insertions, 4 deletions
diff --git a/build/Makefile b/build/Makefile
index ff7a7070..de369c7d 100644
--- a/build/Makefile
+++ b/build/Makefile
@@ -204,7 +204,7 @@ networking-vpp.noarch.rpm: networking-vpp
mv networking-vpp/dist/*.rpm networking-vpp.noarch.rpm
networking-vpp:
- git clone -b stable https://github.com/naveenjoy/networking-vpp.git
+ git clone -b stable_vlan_rewrite https://github.com/fepan/networking-vpp.git
###############
# UNDERCLOUD #
diff --git a/ci/PR_revision.log b/ci/PR_revision.log
index a911d04a..15787b95 100644
--- a/ci/PR_revision.log
+++ b/ci/PR_revision.log
@@ -38,3 +38,4 @@
76,Add networking-vpp ML2 mechanism driver
77,Update FDIO to use opendaylight_v2 mechanism driver
78,Fix spelling mistake in specs filter
+79,Fix controller and compute ip array \ No newline at end of file
diff --git a/lib/configure-deps-functions.sh b/lib/configure-deps-functions.sh
index 2c5411e3..ffc764b4 100755
--- a/lib/configure-deps-functions.sh
+++ b/lib/configure-deps-functions.sh
@@ -95,11 +95,17 @@ EOF
done
else
for network in ${OPNFV_NETWORK_TYPES}; do
+ if ! ovs-vsctl --may-exist add-br ${NET_MAP[$network]}; then
+ echo -e "${red}ERROR: Failed to create ovs bridge ${NET_MAP[$network]}{$reset}"
+ exit 1
+ fi
echo "${blue}INFO: Creating Virsh Network: $network${reset}"
virsh net-list --all | grep $network > /dev/null || (cat > ${libvirt_dir}/apex-virsh-net.xml && virsh net-define ${libvirt_dir}/apex-virsh-net.xml) << EOF
<network ipv6='yes'>
<name>$network</name>
+<forward mode='bridge'/>
<bridge name='${NET_MAP[$network]}'/>
+<virtualport type='openvswitch'/>
</network>
EOF
if ! (virsh net-list --all | grep $network > /dev/null); then
@@ -112,7 +118,7 @@ EOF
done
echo -e "${blue}INFO: Bridges set: ${reset}"
- brctl show
+ ovs-vsctl list-br
fi
echo -e "${blue}INFO: virsh networks set: ${reset}"
diff --git a/lib/overcloud-deploy-functions.sh b/lib/overcloud-deploy-functions.sh
index e278a68e..498fd135 100755
--- a/lib/overcloud-deploy-functions.sh
+++ b/lib/overcloud-deploy-functions.sh
@@ -178,8 +178,8 @@ EOI
# set NIC heat params and resource registry
ssh -T ${SSH_OPTIONS[@]} "stack@$UNDERCLOUD" <<EOI
-sed -i '/TenantNIC:/c\ TenantNIC: '${private_network_compute_interface} opnfv-environment.yaml
-sed -i '/PublicNIC:/c\ PublicNIC: '${public_network_compute_interface} opnfv-environment.yaml
+sudo sed -i '/TenantNIC:/c\ TenantNIC: '${private_network_compute_interface} /usr/share/openstack-tripleo-heat-templates/environments/numa.yaml
+sudo sed -i '/PublicNIC:/c\ PublicNIC: '${public_network_compute_interface} /usr/share/openstack-tripleo-heat-templates/environments/numa.yaml
EOI
DEPLOY_OPTIONS+=" -e /usr/share/openstack-tripleo-heat-templates/environments/numa.yaml"